package com.waytous.anticollision.serial

import com.hoho.android.usbserial.driver.FtdiSerialDriver
import com.hoho.android.usbserial.driver.ProbeTable
import com.hoho.android.usbserial.driver.UsbSerialProber


class CustomProbe {

    companion object{

        fun getCustomProbe(): UsbSerialProber {
            val customTable = ProbeTable ()
            customTable.addProduct(
                0x1234,
                0x0001,
                FtdiSerialDriver::class.java
            ) // e.g. device with custom VID+PID

            customTable.addProduct(
                0x1234,
                0x0002,
                FtdiSerialDriver::class.java
            ) // e.g. device with custom VID+PID

            return UsbSerialProber(customTable)
        }

    }
}